diff --git a/src/makefiles/pgxs.mk b/src/makefiles/pgxs.mk
index bbcfe04..3170cd3 100644
--- a/src/makefiles/pgxs.mk
+++ b/src/makefiles/pgxs.mk
@@ -116,9 +116,12 @@ install: all installdirs
 ifneq (,$(EXTENSION))
 	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(addsuffix .control, $(EXTENSION))) '$(DESTDIR)$(datadir)/extension/'
 endif # EXTENSION
-ifneq (,$(DATA)$(DATA_built))
-	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(DATA)) $(DATA_built) '$(DESTDIR)$(datadir)/$(datamoduledir)/'
+ifneq (,$(DATA))
+	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(sort $(DATA))) '$(DESTDIR)$(datadir)/$(datamoduledir)/'
 endif # DATA
+ifneq (,$(DATA_built))
+	$(INSTALL_DATA) $(DATA_built) '$(DESTDIR)$(datadir)/$(datamoduledir)/'
+endif # DATA_built
 ifneq (,$(DATA_TSEARCH))
 	$(INSTALL_DATA) $(addprefix $(srcdir)/, $(DATA_TSEARCH)) '$(DESTDIR)$(datadir)/tsearch_data/'
 endif # DATA_TSEARCH
